ATA_PORT_ALLOC(9)

NAME
ata_port_alloc - allocate and initialize basic ATA port resources

SYNOPSIS

struct ata_port * ata_port_alloc(struct ata_host * host);

ARGUMENTS

host
    ATA host this allocated port belongs to

DESCRIPTION

Allocate and initialize basic ATA port resources.

RETURNS

Allocate ATA port on success, NULL on failure.

LOCKING

Inherited from calling layer (may sleep).

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT